package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * @author luyanchao
 * @since 2018/12/20 14:58
 */
public class VirtualFibreChannelNPortLoginStatus {
    private Metadata metadata;
    private String wwpn;
    private String wwpnStatus;
    private String loggedInBy;
    private String statusReason;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public String getWwpnStatus() {
        return wwpnStatus;
    }

    public void setWwpnStatus(String wwpnStatus) {
        this.wwpnStatus = wwpnStatus;
    }

    public String getLoggedInBy() {
        return loggedInBy;
    }

    public void setLoggedInBy(String loggedInBy) {
        this.loggedInBy = loggedInBy;
    }

    public String getStatusReason() {
        return statusReason;
    }

    public void setStatusReason(String statusReason) {
        this.statusReason = statusReason;
    }
}
